Gemini 3 Pro Image Preview
Integrasikan
gemini-3-pro-image-preview
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/gemini-3-pro-image-preview?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.com/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/gemini-3-pro-image-preview?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.com/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/gemini-3-pro-image-preview", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
# 1. Connect once (Claude Code; Cursor, VS Code, Claude Desktop: https://doitong.com/id/developers/docs/mcp)
claude mcp add --transport http doitong-models https://api.doitong.com/v1/mcp \
--header "Authorization: Bearer $DOITONG_API_KEY"
# 2. Your agent calls the "run" tool with:
{
"model_id": "gemini-3-pro-image-preview",
"input": {
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
}
}
Panggil model Gemini 3 Pro Image Preview (gemini-3-pro-image-preview) melalui Doitong API. Dokumentasi untuk agen: https://doitong.com/id/developers/models/gemini-3-pro-image-preview.md
POST https://api.doitong.com/v1/run/gemini-3-pro-image-preview?wait=20
Authorization: Bearer $DOITONG_API_KEY
Content-Type: application/json
{
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
}
Jika status respons adalah "queued" atau "running", lakukan polling GET https://api.doitong.com/v1/requests/REQUEST_ID?wait=20 hingga statusnya menjadi "succeeded"; file terdapat di outputs[].url. POST https://api.doitong.com/v1/quote/gemini-3-pro-image-preview dengan body yang sama mengembalikan harga pasti sebelum dijalankan.
Permintaan ini: $0,15 150 kredit API Jalankan di halaman ini
Kunci API baru Anda. Ini hanya ditampilkan sekarang dan sudah dimasukkan ke dalam kode serta kolom kunci API di bawah. Simpan secara rahasia: jangan pernah menaruhnya di kode yang berjalan di browser.
Dibuat di Doitong
Karya publik yang dibuat dengan Gemini 3 Pro Image Preview oleh komunitas Doitong. Gunakan kembali prompt dengan satu klik.
Strong rule: style --- 3d Pixar ---. Крупный план: Сая сладко спит в своей кроватке, её личико полностью расслаблено, губы слегка приоткрыты. Она укрыта мягким пледом с изображением звезд. Свет ночника создает длинные, мягкие тени на стене. Атмосфера абсолютного покоя, счастья и завершенности....
Strong rule: style --- 3d Pixar ---. Крупный план рук отца, которые аккуратно и медленно поправляют край вязаного шерстяного одеяла нежно-голубого цвета вокруг малыша. Фокус направлен на текстуру ткани и осторожные, любящие движения пальцев. Освещение мягкое, рассеянное, исходящее от приоткрытой...
Strong rule: style --- Реалистичная 3D-анимация, Cinematic Lighting, P... ---. Женщина-астролог слегка улыбается. В комнате становится заметно теплее по цвету. За панорамным окном город уже не холодный — мягкие, теплые вечерние огни. Character appearance reference (MUST match exactly): -...
Strong rule: style --- 3D Pixar ---. Крупный план лица Мирры в полумраке современной эзотерической студии. На фоне видны мерцающие свечи и антикварные зеркала, создающие глубокие тени. Освещение контрастное, боковое, подчеркивающее острые скулы и пронзительный взгляд. Атмосфера таинственная и...
Strong rule: style --- 3D Pixar ---. Зеркало в спальне с размытым отражением, ночным столиком, вазой цветов и приглушенным светом. Крупный план отражения в зеркале, слегка distorted. Мягкий лунный свет через занавески создает серебристые блики. Атмосфера меланхоличная и рефлексивная, полная...
Full-body character reference of the character shown in the reference film frame: exactly the same design, shape, proportions, colors, materials, wear and markings. Standing, front three-quarter view, the whole figure in frame, neutral dark studio background, soft even light, photorealistic,...
Strong rule: style --- 3D Pixar ---. Тихая детская Pixar 3D, пастельный интерьер, окно с diffused светом, кровать с подушками, атмосфера паузы. Мама с закрытыми глазами, Саи смотрит вверх с лёгким напряжением. Средний план, высокий угол сверху, мягкий свет создаёт интимные тени. Атмосфера...
Strong rule: style --- 3d Pixar ---. Экстремальный макроплан: крошечная, розовая ладошка младенца крепко обхватывает указательный палец взрослого мужчины. Фон полностью размыт, превращаясь в мягкие световые пятна боке. Свет падает сверху, подчеркивая каждую складочку и крошечный ноготок на руке...
Strong rule: style --- Реалистичная 3D-анимация, Cinematic Lighting, P... ---. Женщина-астролог сидит за столом. На планшете — деловая переписка, графики роста. Холодный свет начинает смешиваться с более нейтральным балансом. Character appearance reference (MUST match exactly): - Астролог: Strong...
Strong rule: style --- Реалистичная 3D-анимация, Cinematic Lighting, P... ---. Крупный план лица женщины-астролога. Тёплый, насыщенный янтарный свет. В глазах — лёгкая интрига. Фон слегка затемняется для концентрации внимания. Рядом в расфокусе ярко горит свеча. Character appearance reference...
Strong rule: style --- Реалистичная 3D-анимация, Cinematic Lighting, P... ---. Крупный план лица женщины-астролога. Холодный свет почти исчез, но на фоне ещё остаётся лёгкая синяя глубина. Взгляд серьёзный, проницательный. Character appearance reference (MUST match exactly): - Астролог: Strong...
Strong rule: style --- 3D Pixar ---. Elena sitting at a small kitchen table, staring blankly at a massive mountain of school notebooks, holding a steaming mug of coffee, gloomy morning atmosphere, 3D Pixar style. Character appearance reference (MUST match exactly): - Елена: A 35-year-old woman,...
Full-body character reference of the character shown in the reference film frame: exactly the same design, shape, proportions, colors, materials, wear and markings. Standing, front three-quarter view, the whole figure in frame, neutral dark studio background, soft even light, photorealistic,...
Recreate this exact cinematic film shot from the reference image as a brand-new photorealistic render. Match exactly: the composition and framing, the camera angle and lens, the lighting direction, the light rays and haze, the color grade, and the design of every object and character, including...
Recreate this exact cinematic film shot from the reference image as a brand-new photorealistic render. Match exactly: the composition and framing, the camera angle and lens, the lighting direction, the light rays and haze, the color grade, and the design of every object and character, including...
Strong rule: style --- 3D Pixar ---. Общий план детской комнаты. Кроватка Алисы стоит в самом центре как островок тишины. Вокруг нее — настоящий вихрь из родителей, подгузников, бутылочек и детской одежды. Мама и папа застыли в динамичных, смешных позах, сталкиваясь друг с другом. Освещение...
Buat permintaan
Kontrol dibuat dari skema model. Kode dan harga diperbarui saat Anda mengubahnya.
/run/gemini-3-pro-image-preview?wait=20
estimasi harga → $0,15
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/gemini-3-pro-image-preview?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.com/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/gemini-3-pro-image-preview?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.com/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/gemini-3-pro-image-preview", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "run",
"arguments": {
"model_id": "gemini-3-pro-image-preview",
"input": {
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
},
"wait_seconds": 20
}
}
}
Jalankan permintaan ini
Key Anda tetap berada di browser ini: key hanya dikirim ke Doitong API dan disimpan (localStorage) hanya jika Anda mencentang Ingat. Dapatkan kunci API
Tentang Gemini 3 Pro Image Preview
Menghasilkan 1 hingga 4 gambar dari `prompt` hingga 50000 karakter. `resolution` adalah 1K, 2K, atau 4K, dan `aspect_ratio` menyediakan auto serta sembilan rasio tetap. `system_prompt` dan `enable_web_search` tersedia, dan output dapat berupa PNG, JPEG, atau WebP.
Parameter
Kirim nama kanonis atau nama asli, bukan keduanya. Nama kanonis
promptwajib
num_imagesopsional
num_outputs
seedopsional
aspect_ratioopsional
output_formatopsional
safety_toleranceopsional
system_promptopsional
resolutionopsional
limit_generationsopsional
enable_web_searchopsional
Output
{
"id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
"object": "request",
"model": "gemini-3-pro-image-preview",
"status": "succeeded",
"created_at": "2026-10-20T12:00:00Z",
"started_at": "2026-10-20T12:00:02Z",
"completed_at": "2026-10-20T12:00:09Z",
"queue_position": null,
"cost": {
"credits": 150,
"usd": "0.15",
"charged": 150,
"refunded": 0
},
"input": {
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
},
"output": {
"images": [
{
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_name": "0-output.jpeg",
"file_size": 1843200,
"width": 1024,
"height": 768
}
],
"description": "string"
},
"outputs": [
{
"type": "image",
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_size": 1843200,
"width": 1024,
"height": 768,
"stored": true
}
],
"error": null,
"metrics": {
"inference_seconds": 6.8
},
"urls": {
"self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
"cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
}
}
Field output
- images
- array of object {url, content_type, file_name, file_size, width, height}Gambar yang dihasilkan oleh model.
- description
- stringDeskripsi yang menyertai gambar yang dibuat.
Varian Gemini 3 Pro Image Preview lainnya
Model lainnya: Teks ke Gambar
Untuk agen AI: halaman ini dalam Markdown tersedia di https://doitong.com/id/developers/models/gemini-3-pro-image-preview.md. Semua model dan panduan: https://doitong.com/developers/llms.txt







